Create Action Approval Rule
Creates an action approval rule.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
projectId
ID of the project the action approval rule is in. You can get your project ID from the API Credentials page in your global management console.
Request
This endpoint expects an object.
operation
Action that requires approval under the rule.
Allowed values:
approvalWindowHours
Number of hours the request stays open for approval. If the approvals aren't received before the end of the window, the request expires.
executionWindowHours
Number of hours after approval the requester can execute the action. If the requester doesn't execute before the end of the window, the request expires.
requiredApprovals
Number of approvals required before the action can be executed.
description
Description explaining the purpose of the rule.
resourceSelector
Selector determining which resources the rule applies to.
approverIdpId
Eon-assigned ID of the identity provider the approver’s SAML group belongs to.
Used in combination with approverProviderGroupId.
approverProviderGroupId
Identity-provider-assigned ID of the approver group.
Used in combination with approverIdpId.
exemptApiCredentials
Whether API clients bypass the rule or are bound by it.
When true, API clients bypass the rule and don’t require approval to perform the action.
When false, API clients are bound like any other user and must get the required approvals.
Response
Action approval rule created.
actionApprovalRule
Created action approval rule.
Errors
400
Bad Request Error